Subject: Re: [REGRESSION,6.14.0-rc1]: rk_gmac-dwmac: no ethernet device shows up (NanoPi M4)

From: Domenico Andreoli <[email-masked]>
Date: Wed, 5 Feb 2025 12:00:24 +0100

On Wed, Feb 05, 2025 at 04:19:58AM +0000, Jason Montleon wrote:
> On Monday, February 3rd, 2025 at 5:51 AM, Domenico Andreoli <[email-masked]> wrote:
> > Hi,
> >
> > This morning I tried 6.14.0-rc1 on my NanoPi M4, the ethernet does not
> > show up.
> 
> I am experiencing similar behavior on the Lichee Pi 4A with thead-dwmac. It works fine on 6.12.12 and 6.13.1, but with 6.14-rc1 I don't see these last several lines of output as in your case. I did also see the same new error:
> +stmmaceth ffe7070000.ethernet: Can't specify Rx FIFO size
> 
> It looks like this message was introduced in the following commit and if I build with it reverted my ethernet interfaces work again.
> 
> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/ethernet/stmicro?h=v6.14-rc1&id=8865d22656b442b8d0fb019e6acb2292b99a9c3c

Confirmed, reverting it resurrects the ethernet also for me.

Thanks!
dom

> 
> Thanks,
> Jason
> 
> > This is the diff of the output of `dmesg | grep rk_gmac-dwmac` on 6.13.0
> > and 6.14.0-rc1:
> >
> > --- m4.ok.log 2025-02-03 11:37:03.991757775 +0100
> > +++ m4.nok.log 2025-02-03 11:37:17.249455484 +0100
> > @@ -15,4 +15,13 @@
> > rk_gmac-dwmac fe300000.ethernet: COE Type 2
> > rk_gmac-dwmac fe300000.ethernet: TX Checksum insertion supported
> > rk_gmac-dwmac fe300000.ethernet: Wake-Up On Lan supported
> > -rk_gmac-dwmac fe300000.ethernet: Normal descriptors
> > -rk_gmac-dwmac fe300000.ethernet: Ring mode enabled
> > -rk_gmac-dwmac fe300000.ethernet: Enable RX Mitigation via HW Watchdog Timer
> > -rk_gmac-dwmac fe300000.ethernet end0: renamed from eth0
> > -rk_gmac-dwmac fe300000.ethernet end0: Register MEM_TYPE_PAGE_POOL RxQ-0
> > -rk_gmac-dwmac fe300000.ethernet end0: PHY [stmmac-0:01] driver [Generic PHY] (irq=POLL)
> > -rk_gmac-dwmac fe300000.ethernet end0: No Safety Features support found
> > -rk_gmac-dwmac fe300000.ethernet end0: PTP not supported by HW
> > -rk_gmac-dwmac fe300000.ethernet end0: configuring for phy/rgmii link mode
> > -rk_gmac-dwmac fe300000.ethernet end0: Link is Up - 1Gbps/Full - flow control rx/tx
> > +rk_gmac-dwmac fe300000.ethernet: Can't specify Rx FIFO size
> >
> > The configration was updated with `make olddefconfig`, as usual. I
> > could not find any new option that I might need to enable, if that is
> > what went wrong.

-- 
rsa4096: 3B10 0CA1 8674 ACBA B4FE  FCD2 CE5B CF17 9960 DE13
ed25519: FFB4 0CC3 7F2E 091D F7DA  356E CC79 2832 ED38 CB05